<style>

    /*@todo This is temp - move to styles*/
    h3 {

        border: none !important;
        font-size: 30px;
        text-align: center;
        margin: 0;
        margin-bottom: 30px;
        letter-spacing: .2em;
        font-weight: 200;
    }

    .order_header {
        text-align: center
    }
    .order_header .massive-icon {
        display: block;
        width: 120px;
        height: 120px;
        font-size: 100px;
        margin: 0 auto;
        color: #63C05E;
    }
    .order_header h1 {
        margin-top: 20px;
        text-transform: uppercase;
    } 
    .order_header h2 {
        margin-top: 5px;
        font-size: 20px;
    }
    .order_details.well {
        margin-top: 25px;
        background-color: #FCFCFC;
        line-height: 30px;
        text-shadow: 0 1px 0 rgba(255,255,255,.9);
        color: #656565;
        overflow: hidden;
    }


</style>

<section id='order_form' class="container">


    <div class="row">
        <div class="col-md-12 order_header">
            <span class="massive-icon">
                <i class="ico ico-checkmark-circle"></i>
            </span>
            <h1>Thank you for your order!</h1>
            <h2>
                Your <a href="{{route('showOrderTickets', ['order_reference' => $order->order_reference])}}?download=1">tickets</a> and a confirmation email have been sent to you. 
            </h2>
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
            <div class="content event_view_order">

                @if($event->post_order_display_message)
                <div class="alert alert-dismissable alert-info">
                    {{ nl2br(e($event->post_order_display_message)) }}
                </div>
                @endif


                <div class="order_details well">
                    <div class="row">
                        <div class="col-sm-4 col-xs-6">
                            <b>First Name</b><br> {{$order->first_name}}
                        </div>
                        <div class="col-sm-4 col-xs-6">
                            <b>Last Name</b><br> {{$order->last_name}}
                        </div>

                        <div class="col-sm-4 col-xs-6">
                            <b>Amount</b><br> {{$order->event->currency_symbol}}{{number_format($order->total_amount,2)}}
                        </div>
                
                        <div class="col-sm-4 col-xs-6">
                            <b>Reference</b><br> {{$order->order_reference}}
                        </div>
                        <div class="col-sm-4 col-xs-6">
                            <b>Date</b><br> {{$order->created_at->toDateTimeString()}}
                        </div>
                        <div class="col-sm-4 col-xs-6">
                            <b>Email</b><br> {{$order->email}}
                        </div>
                    </div>



                </div>

                <h3>
                    Order Items
                </h3>

            <div class="table-responsive">
                        <table class="table table-hover" >          
                            <thead>
                            <th>
                                Ticket
                            </th>
                            <th>
                                Quantity
                            </th>
                            <th>
                                Price
                            </th>
                            <th>
                                Booking Fee
                            </th>
                            <th>
                                Total
                            </th>
                            </thead>
                            <tbody>
                                @foreach($order->orderItems as $order_item)
                                <tr>
                                    <td>
                                        {{$order_item->title}} 
                                    </td>
                                    <td>
                                        {{$order_item->quantity}}
                                    </td>
                                    <td>
                                        @if((int)ceil($order_item->unit_price) == 0)
                                        FREE
                                        @else
                                       {{money($order_item->unit_price, $order->event->currency->code)}}
                                        @endif

                                    </td>
                                    <td>
                                        @if((int)ceil($order_item->unit_price) == 0)
                                        -
                                        @else
                                        {{money($order_item->unit_booking_fee, $order->event->currency->code)}}
                                        @endif

                                    </td>
                                    <td>
                                        @if((int)ceil($order_item->unit_price) == 0)
                                        FREE
                                        @else
                                        {{money(($order_item->unit_price + $order_item->unit_booking_fee) * ($order_item->quantity), $order->event->currency->code)}}
                                        @endif

                                    </td>
                                </tr>
                                @endforeach
                                <tr>
                                    <td>
                                    </td>
                                    <td>
                                    </td>
                                    <td>
                                    </td>
                                    <td>
                                        <b>Sub Total</b>
                                    </td>
                                    <td colspan="2">
                                        {{money($order->total_amount, $order->event->currency->code)}}
                                    </td>
                                </tr>
                            </tbody>
                        </table>

                    </div>

                <h3>
                    Order Attendees
                </h3>

                <div class="table-responsive">
                    <table class="table table-hover table-striped" id="table1">                        
                        <tbody>
                            @foreach($order->attendees as $attendee)
                            <tr>
                                <td>
                                    {{$attendee->first_name}} 
                                    {{$attendee->last_name}} 
                                    (<a href='mailto:{{$attendee->email}}'>{{$attendee->email}}</a>)
                                </td>
                                <td>
                                    {{{$attendee->ticket->title}}}
                                </td>
                            </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>




            </div>

        </div>

    </div>
</section>

